/*******************************
 *          __                   
 *         /\ \                  
 *  __  _  \_\ \     __    ___   
 * /\ \/'\ /'_' \  /'__'\ /'___\ 
 * \/>  <//\ \ \ \/\  __//\ \__/ 
 *  /\_/\_\ \___,_\ \____\ \____\
 *  \//\/_/\/__,_ /\/____/\/____/
 * 
 *  Author: declis (xdec.de)
 ********************************/ 

#ifndef LIB_LCD_H_
#define LIB_LCD_H_

void char_to_num_out(unsigned char,unsigned char,unsigned char);
void write_string(unsigned char,unsigned char,const char*);
void write_char(unsigned char,unsigned char,unsigned char);
void set_cursor(unsigned char,unsigned char);
void set_instruction(unsigned char,unsigned char);
void init_LCD(void);
void init_USI(void);

#define first_row		0x0080		// DDRAM Address 00
#define second_row		0x00C0		// DDRAM Address 40

// EA DOGM162W-A (2x16) [ST7036]
#define RS				0x0080		// RS at P1.7
#define CSB				0x0010		// CSB at P1.4
									// CLK at P1.5
									// SI at P1.6

#endif /*LIB_LCD_H_*/
